@echo off

rem Set the build environment
call ..\..\Common\bin\setup_env_common
call ..\..\Common\bin\setup_env_driver


rem Move into the correct src directory...
%PROJECT_DRIVE%
cd %PROJECT_DIR%\HASH_DRIVERS\HASH_SHA\src

rem The build utility can't handle source files not being in the same dir
copy ..\..\..\Common\src\* .
copy ..\..\Common\src\* .

rem libtomcrypt library...
copy ..\..\..\..\3rd_party\libtomcrypt\crypt-0.94\sha1.c   .
copy ..\..\..\..\3rd_party\libtomcrypt\crypt-0.94\sha224.c .
copy ..\..\..\..\3rd_party\libtomcrypt\crypt-0.94\sha256.c .
copy ..\..\..\..\3rd_party\libtomcrypt\crypt-0.94\sha384.c .
copy ..\..\..\..\3rd_party\libtomcrypt\crypt-0.94\sha512.c .

echo Building SYS...
build -cgZ

rem Copying the binary over...
copy %FREEOTFE_OUTPUT_DIR%\FreeOTFEHashSHA.sys ..\..\..\..\..\

